<nz-tabset class="tab-style" [nzTabBarExtraContent]="extraTemplate" [nzSelectedIndex]="tabSelect"
  (nzSelectedIndexChange)="changeTab($event)">
  <nz-tab *ngFor="let tab of this.listUnitApprove" nzTitle="{{tab.orgName}}">
  </nz-tab>
  <ng-template #extraTemplate>
    <button nz-button class="tab-style__custom__btn" (click)="onBackTab()"><img alt="" src="assets/images/icon/back-tab.svg"></button>
    <button nz-button class="tab-style__custom__btn"(click)="onNextTab()"><img alt="" src="assets/images/icon/next-tab.svg"></button>
    <button nz-button class="tab-style__custom__btn" nz-dropdown [nzDropdownMenu]="menu" nzTrigger="click" [nzPlacement]="possition"><img
        src="assets/images/icon/filter_icon.svg" alt="" (click)="handleClick()"></button>
  </ng-template>
</nz-tabset>
<div>
  <nz-dropdown-menu #menu="nzDropdownMenu">
    <div class="style-drodown mb-3">
      <div class="style-text">
        <span>Chọn nhanh đơn vị</span>
      </div>
      <input nz-input (keyup)="handleChangeText($event)" [(ngModel)]="textInput" />
      <nz-radio-group [(ngModel)]="orgIdSelect" (ngModelChange)="handleChangeRadio($event)">
        <label nz-radio [nzValue]="tab.orgId" *ngFor="let tab of tabsFind">{{ tab.orgName }}</label><br>
      </nz-radio-group>
    </div>
  </nz-dropdown-menu>
</div>

<div *ngIf="orgSelect?.inputType === 'KT' ">
  <app-init-unit [orgSelect]="orgSelect"></app-init-unit>
</div>
<div *ngIf="orgSelect?.inputType === 'DC' ">
  <app-adjust-unit [orgSelect]="orgSelect"></app-adjust-unit>
</div>
<div *ngIf="orgSelect?.inputType === 'HC' ">
  <app-correct-unit [orgSelect]="orgSelect"></app-correct-unit>
</div>
